/*
 * Styling of the input field for the graph name
 */
@mixin name-field() {
    $distance-right: calc(#{d('fixed-inner')} + 200px);
    @include abs($top: d('fixed-inner'), $right: $distance-right);

    height: d('default-ui-element');
    width: 150px;

    padding-right: 10px;
    border-right: 2px solid color("gray-light");

    background-color: color("white");
    color: color("gray-light");

    z-index: z("above-all");

    font-size: 1.2rem;
    text-align: right;

    &:hover, &:focus {
        background-color: color('background');
        color: color('white');
    }
}
